Missing Licenses
[aaf/authz.git] / auth / auth-cass / docker / dinstall.sh
index 7a3009d..83fb060 100644 (file)
@@ -1,31 +1,37 @@
-if [ "`docker ps -a | grep aaf_cass`" == "" ]; then
-  docker run --name aaf_cass  -d cassandra:3.11
-  echo "Check for running Docker Container aaf_cass, then run again."
-  exit
-else
-  docker exec aaf_cass mkdir -p /opt/app/cass_init
-  docker cp "../src/main/cql/." aaf_cass:/opt/app/cass_init
-fi 
+#!/bin/bash 
+#########
+#  ============LICENSE_START====================================================
+#  org.onap.aaf
+#  ===========================================================================
+#  Copyright (c) 2017 AT&T Intellectual Property. All rights reserved.
+#  ===========================================================================
+#  Licensed under the Apache License, Version 2.0 (the "License");
+#  you may not use this file except in compliance with the License.
+#  You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing, software
+#  distributed under the License is distributed on an "AS IS" BASIS,
+#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#  See the License for the specific language governing permissions and
+#  limitations under the License.
+#  ============LICENSE_END====================================================
+#
+# This is only called from HEAT, as it needs a single check and wait for Cassandra to be ready
+#
+. drun.sh $@
 
+echo "Waiting for Cass to be initialized"
+for I in 1 2 3 4 5 6 7 8 9 10 11 12 13 14; do
+  $DOCKER exec -it aaf_cass bash aaf_cmd wait 2> /dev/null
+  if [ "$?" -ne "0" ]; then
+    echo "Container not ready... Sleep 10"
+    sleep 10
+  else
+    echo "aaf_cass is ready"
+    break
+  fi 
+done
 
-echo "Docker Installed Basic Cassandra on aaf_cass.  Executing the following "
-echo "NOTE: This creator provided is only a Single Instance. For more complex Cassandra, create independently"
-echo ""
-echo " cd /opt/app/cass_init"  
-echo " cqlsh -u root -p root -f keyspace.cql"
-echo " cqlsh -u root -p root -f init.cql"
-echo " cqlsh -u root -p root -f osaaf.cql"
-echo ""
-echo "The following will give you a temporary identity with which to start working, or emergency"
-echo " cqlsh -u root -p root -f temp_identity.cql"
-echo "Sleeping for 10 seconds"
-sleep 10
-docker exec -it aaf_cass bash -c '\
-cd /opt/app/cass_init; \
-echo "Creating Keyspace";cqlsh -u root -p root -f keyspace.cql;\
-echo "Creating init";cqlsh -u root -p root -f init.cql;\
-echo "Creating osaaf";cqlsh -u root -p root -f osaaf.cql;\
-echo "Creating temp Identity";cqlsh -u root -p root -f temp_identity.cql'
 
-echo "Inspecting aafcassadra.  Use to get the IP address to update org.osaaf.cassandra.props"
-docker inspect aaf_cass | grep '"IPAddress' | head -1